# Copyright (C) 1991-2011 Altera Corporation
# Your use of Altera Corporation's design tools, logic functions 
# and other software and tools, and its AMPP partner logic 
# functions, and any output files from any of the foregoing 
# (including device programming or simulation files), and any 
# associated documentation or information are expressly subject 
# to the terms and conditions of the Altera Program License 
# Subscription Agreement, Altera MegaCore Function License 
# Agreement, or other applicable license agreement, including, 
# without limitation, that your use is for the sole purpose of 
# programming logic devices manufactured by Altera and sold by 
# Altera or its authorized distributors.  Please refer to the 
# applicable agreement for further details.

# Quartus II: Generate Tcl File for Project
# File: tsconf.tcl
# Generated on: Wed Oct 22 18:23:10 2014

# Load Quartus II Tcl Project package
package require ::quartus::project

set need_to_close_project 0
set make_assignments 1

# Check that the right project is open
if {[is_project_open]} {
	if {[string compare $quartus(project) "tsconf"]} {
		puts "Project tsconf is not open"
		set make_assignments 0
	}
} else {
	# Only open if not already open
	if {[project_exists tsconf]} {
		project_open -revision tsconf tsconf
	} else {
		project_new -revision tsconf tsconf
	}
	set need_to_close_project 1
}

# Make assignments
if {$make_assignments} {
	set_global_assignment -name FAMILY "Cyclone II"
	set_global_assignment -name DEVICE EP2C8Q208C8
	set_global_assignment -name ORIGINAL_QUARTUS_VERSION "11.0 SP1"
	set_global_assignment -name PROJECT_CREATION_TIME_DATE "20:12:35  MARCH 26, 2012"
	set_global_assignment -name LAST_QUARTUS_VERSION "11.0 SP1"
	set_global_assignment -name MIN_CORE_JUNCTION_TEMP 0
	set_global_assignment -name MAX_CORE_JUNCTION_TEMP 85
	set_global_assignment -name ERROR_CHECK_FREQUENCY_DIVISOR 1
	set_global_assignment -name ENABLE_INIT_DONE_OUTPUT OFF
	set_global_assignment -name STRATIX_DEVICE_IO_STANDARD "3.3-V LVTTL"
	set_global_assignment -name USE_CONFIGURATION_DEVICE ON
	set_global_assignment -name CYCLONEII_RESERVE_NCEO_AFTER_CONFIGURATION "USE AS REGULAR IO"
	set_global_assignment -name RESERVE_DATA0_AFTER_CONFIGURATION "USE AS REGULAR IO"
	set_global_assignment -name RESERVE_DATA1_AFTER_CONFIGURATION "USE AS REGULAR IO"
	set_global_assignment -name RESERVE_FLASH_NCE_AFTER_CONFIGURATION "USE AS REGULAR IO"
	set_global_assignment -name RESERVE_DCLK_AFTER_CONFIGURATION "USE AS REGULAR IO"
	set_global_assignment -name POWER_PRESET_COOLING_SOLUTION "23 MM HEAT SINK WITH 200 LFPM AIRFLOW"
	set_global_assignment -name POWER_BOARD_THERMAL_MODEL "NONE (CONSERVATIVE)"
	set_global_assignment -name PARTITION_NETLIST_TYPE SOURCE -section_id Top
	set_global_assignment -name PARTITION_FITTER_PRESERVATION_LEVEL PLACEMENT_AND_ROUTING -section_id Top
	set_global_assignment -name PARTITION_COLOR 16764057 -section_id Top
	set_global_assignment -name TIMEQUEST_MULTICORNER_ANALYSIS ON
	set_global_assignment -name TIMEQUEST_DO_CCPP_REMOVAL ON
	set_global_assignment -name CYCLONEII_OPTIMIZATION_TECHNIQUE BALANCED
	set_global_assignment -name SYNTH_TIMING_DRIVEN_SYNTHESIS ON
	set_global_assignment -name SDC_FILE tsconf.sdc
	set_global_assignment -name VHDL_FILE ../rtl/ts/video/lut.vhd
	set_global_assignment -name VERILOG_FILE ../rtl/ts/cpu/tv80/tv80s.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/cpu/tv80/tv80n.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/cpu/tv80/tv80_reg.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/cpu/tv80/tv80_mcode.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/cpu/tv80/tv80_core.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/cpu/tv80/tv80_alu.v
	set_global_assignment -name VHDL_FILE ../rtl/ram/RAM_256B.vhd
	set_global_assignment -name VHDL_FILE ../rtl/mouse/mouse.vhd
	set_global_assignment -name VHDL_FILE ../rtl/sd/zcontroller.vhd
	set_global_assignment -name VHDL_FILE ../rtl/dac/tda1543.vhd
	set_global_assignment -name VHDL_FILE ../rtl/sound/soundrive.vhd
	set_global_assignment -name VERILOG_FILE ../rtl/ts/cpu/zsignals.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/cpu/zports.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/cpu/zmem.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/cpu/zmaps.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/cpu/zint.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/cpu/zclock.v
	set_global_assignment -name VHDL_FILE ../rtl/t80/T80s.vhd
	set_global_assignment -name VHDL_FILE ../rtl/tsconf.vhd
	set_global_assignment -name VHDL_FILE ../rtl/pll/altpll0.vhd
	set_global_assignment -name VHDL_FILE ../rtl/rtc/mc146818a.vhd
	set_global_assignment -name VHDL_FILE ../rtl/rtc/CMOS.vhd
	set_global_assignment -name VHDL_FILE ../rtl/sdram/sdram.vhd
	set_global_assignment -name VHDL_FILE ../rtl/sound/turbosound.vhd
	set_global_assignment -name VHDL_FILE ../rtl/sound/ay8910.vhd
	set_global_assignment -name VHDL_FILE ../rtl/t80/T80_Reg.vhd
	set_global_assignment -name VHDL_FILE ../rtl/t80/T80_Pack.vhd
	set_global_assignment -name VHDL_FILE ../rtl/t80/T80_MCode.vhd
	set_global_assignment -name VHDL_FILE ../rtl/t80/T80_ALU.vhd
	set_global_assignment -name VHDL_FILE ../rtl/t80/T80.vhd
	set_global_assignment -name VERILOG_FILE ../rtl/ts/memory/dma.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/memory/arbiter.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/common/spi.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/pll/pll.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/pll/clock_2.v
	set_global_assignment -name VHDL_FILE ../rtl/ts/pll/clock_1.vhd
	set_global_assignment -name VERILOG_FILE ../rtl/ts/pll/clock.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/sound/sound.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/video/video_ts_render.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/video/video_ts.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/video/video_top.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/video/video_sync.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/video/video_render.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/video/video_ports.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/video/video_out.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/video/video_mode.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/video/video_fetch.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/video/mem/video_vmem.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/video/mem/video_tsline1.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/video/mem/video_tsline0.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/video/mem/video_tmbuf.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/video/mem/video_sfile.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/video/mem/video_cram.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/cpu/memory/cache_data.v
	set_global_assignment -name VERILOG_FILE ../rtl/ts/cpu/memory/cache_addr.v
	set_global_assignment -name QIP_FILE ../rtl/rom/rom.qip
	set_global_assignment -name VHDL_FILE ../rtl/keyboard/keyboard.vhd
	set_global_assignment -name VHDL_FILE ../rtl/ps2/io_ps2_mouse.vhd
	set_global_assignment -name VHDL_FILE ../rtl/ps2/io_ps2_keyboard.vhd
	set_global_assignment -name VHDL_FILE ../rtl/ps2/io_ps2_com.vhd
	set_global_assignment -name QIP_FILE ../rtl/pll/altpll1.qip
	set_global_assignment -name GENERATE_RBF_FILE ON
	set_global_assignment -name RESERVE_ALL_UNUSED_PINS "AS INPUT TRI-STATED WITH WEAK PULL-UP"
	set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to SDRAM_DQ
	set_location_assignment PIN_189 -to B[0]
	set_location_assignment PIN_191 -to B[1]
	set_location_assignment PIN_192 -to B[2]
	set_location_assignment PIN_193 -to B[3]
	set_location_assignment PIN_195 -to B[4]
	set_location_assignment PIN_197 -to B[5]
	set_location_assignment PIN_198 -to B[6]
	set_location_assignment PIN_199 -to B[7]
	set_location_assignment PIN_24 -to CLK20_0
	set_location_assignment PIN_132 -to CLK20_1
	set_location_assignment PIN_207 -to DAC_BCK
	set_location_assignment PIN_201 -to DAC_DATA
	set_location_assignment PIN_205 -to DAC_WS
	set_location_assignment PIN_170 -to G[0]
	set_location_assignment PIN_171 -to G[1]
	set_location_assignment PIN_173 -to G[2]
	set_location_assignment PIN_175 -to G[3]
	set_location_assignment PIN_176 -to G[4]
	set_location_assignment PIN_180 -to G[5]
	set_location_assignment PIN_182 -to G[6]
	set_location_assignment PIN_187 -to G[7]
	set_location_assignment PIN_179 -to HS
	set_location_assignment PIN_13 -to KB_CLK
	set_location_assignment PIN_12 -to KB_DAT
	set_location_assignment PIN_15 -to MS_CLK
	set_location_assignment PIN_14 -to MS_DAT
	set_location_assignment PIN_160 -to R[0]
	set_location_assignment PIN_161 -to R[1]
	set_location_assignment PIN_162 -to R[2]
	set_location_assignment PIN_163 -to R[3]
	set_location_assignment PIN_164 -to R[4]
	set_location_assignment PIN_165 -to R[5]
	set_location_assignment PIN_168 -to R[6]
	set_location_assignment PIN_169 -to R[7]
	set_location_assignment PIN_110 -to SDRAM_A[0]
	set_location_assignment PIN_108 -to SDRAM_A[1]
	set_location_assignment PIN_107 -to SDRAM_A[2]
	set_location_assignment PIN_106 -to SDRAM_A[3]
	set_location_assignment PIN_105 -to SDRAM_A[4]
	set_location_assignment PIN_104 -to SDRAM_A[5]
	set_location_assignment PIN_103 -to SDRAM_A[6]
	set_location_assignment PIN_102 -to SDRAM_A[7]
	set_location_assignment PIN_101 -to SDRAM_A[8]
	set_location_assignment PIN_99 -to SDRAM_A[9]
	set_location_assignment PIN_112 -to SDRAM_A[10]
	set_location_assignment PIN_97 -to SDRAM_A[11]
	set_location_assignment PIN_96 -to SDRAM_A[12]
	set_location_assignment PIN_114 -to SDRAM_BA[0]
	set_location_assignment PIN_113 -to SDRAM_BA[1]
	set_location_assignment PIN_117 -to SDRAM_CAS_N
	set_location_assignment PIN_95 -to SDRAM_CKE
	set_location_assignment PIN_151 -to SDRAM_CLK
	set_location_assignment PIN_115 -to SDRAM_CS_N
	set_location_assignment PIN_152 -to SDRAM_DQMH
	set_location_assignment PIN_127 -to SDRAM_DQML
	set_location_assignment PIN_141 -to SDRAM_DQ[0]
	set_location_assignment PIN_139 -to SDRAM_DQ[1]
	set_location_assignment PIN_138 -to SDRAM_DQ[2]
	set_location_assignment PIN_137 -to SDRAM_DQ[3]
	set_location_assignment PIN_135 -to SDRAM_DQ[4]
	set_location_assignment PIN_134 -to SDRAM_DQ[5]
	set_location_assignment PIN_133 -to SDRAM_DQ[6]
	set_location_assignment PIN_128 -to SDRAM_DQ[7]
	set_location_assignment PIN_150 -to SDRAM_DQ[8]
	set_location_assignment PIN_149 -to SDRAM_DQ[9]
	set_location_assignment PIN_147 -to SDRAM_DQ[10]
	set_location_assignment PIN_146 -to SDRAM_DQ[11]
	set_location_assignment PIN_145 -to SDRAM_DQ[12]
	set_location_assignment PIN_144 -to SDRAM_DQ[13]
	set_location_assignment PIN_143 -to SDRAM_DQ[14]
	set_location_assignment PIN_142 -to SDRAM_DQ[15]
	set_location_assignment PIN_116 -to SDRAM_RAS_N
	set_location_assignment PIN_118 -to SDRAM_WE_N
	set_location_assignment PIN_4 -to SD_CLK
	set_location_assignment PIN_10 -to SD_CS_N
	set_location_assignment PIN_208 -to SD_MISO
	set_location_assignment PIN_6 -to SD_MOSI
	set_location_assignment PIN_181 -to VS
	set_instance_assignment -name GLOBAL_SIGNAL "GLOBAL CLOCK" -to CLK20_0
	set_instance_assignment -name GLOBAL_SIGNAL "GLOBAL CLOCK" -to CLK20_1
	set_instance_assignment -name PARTITION_HIERARCHY root_partition -to | -section_id Top

	# Commit assignments
	export_assignments

	# Close project
	if {$need_to_close_project} {
		project_close
	}
}
